Index: display/DelphesEventDisplay.cc
===================================================================
--- display/DelphesEventDisplay.cc	(revision 0ac1afd86220730c399ac9a205fa9ac568125c95)
+++ display/DelphesEventDisplay.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -364,115 +394,127 @@
 void DelphesEventDisplay::make_gui()
 {
-   // Create minimal GUI for event navigation.
-
-   // add a tab on the left
-   TEveBrowser *browser = gEve->GetBrowser();
-   browser->SetWindowName("Delphes Event Display");
-   browser->StartEmbedding(TRootBrowser::kLeft);
-
-   // set the main title
-   TGMainFrame *frmMain = new TGMainFrame(gClient->GetRoot(), 1000, 600);
-   frmMain->SetWindowName("Delphes Event Display");
-   frmMain->SetCleanup(kDeepCleanup);
-
-   // build the navigation menu
-   TString icondir;
-   if(gSystem->Getenv("ROOTSYS"))
-     icondir = Form("%s/icons/", gSystem->Getenv("ROOTSYS"));
-   if(!gSystem->OpenDirectory(icondir)) 
-     icondir = Form("%s/icons/", (const char*)gSystem->GetFromPipe("root-config --etcdir") );
-   TGGroupFrame *vf = new TGGroupFrame(frmMain,"Event navigation",kVerticalFrame | kFitWidth );
-   {
-     TGHorizontalFrame *hf = new TGHorizontalFrame(frmMain);
-     {
-        TGPictureButton *b = 0;
-
-        b = new TGPictureButton(hf, gClient->GetPicture(icondir+"GoBack.gif"));
-        hf->AddFrame(b, new TGLayoutHints(kLHintsLeft | kLHintsCenterY , 10, 2, 10, 10));
-        b->Connect("Clicked()", "DelphesEventDisplay", this, "Bck()");
-
-        TGNumberEntry *numberEntry = new TGNumberEntry(hf,0,9,-1,TGNumberFormat::kNESInteger, TGNumberFormat::kNEANonNegative, TGNumberFormat::kNELLimitMinMax, 0, treeReader_->GetEntries());
-        hf->AddFrame(numberEntry, new TGLayoutHints(kLHintsCenterX | kLHintsCenterY , 2, 0, 10, 10));
-        this->Connect("EventChanged(Int_t)","TGNumberEntry",numberEntry,"SetIntNumber(Long_t)");
-        numberEntry->GetNumberEntry()->Connect("TextChanged(char*)", "DelphesEventDisplay", this, "PreSetEv(char*)");
-        numberEntry->GetNumberEntry()->Connect("ReturnPressed()", "DelphesEventDisplay", this, "GoTo()");
-        
-        b = new TGPictureButton(hf, gClient->GetPicture(icondir+"GoForward.gif"));
-        hf->AddFrame(b, new TGLayoutHints(kLHintsRight | kLHintsCenterY , 2, 10, 10, 10));
-        b->Connect("Clicked()", "DelphesEventDisplay", this, "Fwd()");
-  
-     }
-     vf->AddFrame(hf, new TGLayoutHints(kLHintsExpandX , 2, 2, 2, 2));
-
-     TGHProgressBar *progress = new TGHProgressBar(frmMain, TGProgressBar::kFancy, 100);
-     progress->SetMax( treeReader_->GetEntries());
-     progress->ShowPosition(kTRUE, kFALSE, "Event %.0f");
-     progress->SetBarColor("green");
-     vf->AddFrame(progress, new TGLayoutHints(kLHintsExpandX, 10, 10, 5, 5));
-     this->Connect("EventChanged(Int_t)","TGHProgressBar",progress,"SetPosition(Float_t)");
-   }
-   frmMain->AddFrame(vf, new TGLayoutHints(kLHintsExpandX , 5, 5, 5, 5));
-   vf = new TGGroupFrame(frmMain,"Batch operations",kVerticalFrame | kFitWidth );
-   {
-        TGTextButton *b = new TGTextButton(vf, "Initialize Summary Plots");
-        vf->AddFrame(b, new TGLayoutHints(kLHintsCenterX | kLHintsCenterY | kLHintsExpandX, 10, 10, 10, 10));
-        b->Connect("Clicked()", "DelphesEventDisplay", this, "InitSummaryPlots()");
-   }
-   frmMain->AddFrame(vf, new TGLayoutHints(kLHintsExpandX , 5, 5, 5, 5));
-
-   frmMain->MapSubwindows();
-   frmMain->Resize();
-   frmMain->MapWindow();
-   browser->StopEmbedding();
-   browser->SetTabTitle("Event Control", 0);
-
-   // the summary tab
-   htmlSummary_ = new DelphesHtmlSummary("Delphes Event Display Summary Table");
-   TEveWindowSlot *slot = TEveWindow::CreateWindowInTab(gEve->GetBrowser()->GetTabRight());
-   gHtml_ = new TGHtml(0, 100, 100);
-   TEveWindowFrame *wf = slot->MakeFrame(gHtml_);
-   gHtml_->MapSubwindows();
-   wf->SetElementName("Summary tables");
-
-   // plot tab
-   slot = TEveWindow::CreateWindowInTab(gEve->GetBrowser()->GetTabRight());
-   TEveWindowTab *tab = slot->MakeTab();
-   tab->SetElementName("Summary plots");
-   tab->SetShowTitleBar(kFALSE);
-   plotSummary_ = new DelphesPlotSummary(tab);
-   plotSummary_->Init(elements_);
-   plotSummary_->Connect("Progress(Int_t)", "DelphesEventDisplay", this, "DisplayProgress(Int_t)");
-
-}
-
-void DelphesEventDisplay::Fwd() {  
-  if (event_id_ < treeReader_->GetEntries() - 2) {
-     EventChanged(event_id_+1);
-  } else {
-     printf("Already at last event.\n");
-  }
-}
-
-void DelphesEventDisplay::Bck() {
-  if (event_id_ > 0) {
-     EventChanged(event_id_-1);
-  } else {
-     printf("Already at first event.\n");
-  }
-}
-
-void DelphesEventDisplay::PreSetEv(char *ev) {
+  // Create minimal GUI for event navigation.
+
+  // add a tab on the left
+  TEveBrowser *browser = gEve->GetBrowser();
+  browser->SetWindowName("Delphes Event Display");
+  browser->StartEmbedding(TRootBrowser::kLeft);
+
+  // set the main title
+  TGMainFrame *frmMain = new TGMainFrame(gClient->GetRoot(), 1000, 600);
+  frmMain->SetWindowName("Delphes Event Display");
+  frmMain->SetCleanup(kDeepCleanup);
+
+  // build the navigation menu
+  TString icondir;
+  if(gSystem->Getenv("ROOTSYS"))
+    icondir = Form("%s/icons/", gSystem->Getenv("ROOTSYS"));
+  if(!gSystem->OpenDirectory(icondir))
+    icondir = Form("%s/icons/", (const char *)gSystem->GetFromPipe("root-config --etcdir"));
+  TGGroupFrame *vf = new TGGroupFrame(frmMain, "Event navigation", kVerticalFrame | kFitWidth);
+  {
+    TGHorizontalFrame *hf = new TGHorizontalFrame(frmMain);
+    {
+      TGPictureButton *b = 0;
+
+      b = new TGPictureButton(hf, gClient->GetPicture(icondir + "GoBack.gif"));
+      hf->AddFrame(b, new TGLayoutHints(kLHintsLeft | kLHintsCenterY, 10, 2, 10, 10));
+      b->Connect("Clicked()", "DelphesEventDisplay", this, "Bck()");
+
+      TGNumberEntry *numberEntry = new TGNumberEntry(hf, 0, 9, -1, TGNumberFormat::kNESInteger, TGNumberFormat::kNEANonNegative, TGNumberFormat::kNELLimitMinMax, 0, treeReader_->GetEntries());
+      hf->AddFrame(numberEntry, new TGLayoutHints(kLHintsCenterX | kLHintsCenterY, 2, 0, 10, 10));
+      this->Connect("EventChanged(Int_t)", "TGNumberEntry", numberEntry, "SetIntNumber(Long_t)");
+      numberEntry->GetNumberEntry()->Connect("TextChanged(char*)", "DelphesEventDisplay", this, "PreSetEv(char*)");
+      numberEntry->GetNumberEntry()->Connect("ReturnPressed()", "DelphesEventDisplay", this, "GoTo()");
+
+      b = new TGPictureButton(hf, gClient->GetPicture(icondir + "GoForward.gif"));
+      hf->AddFrame(b, new TGLayoutHints(kLHintsRight | kLHintsCenterY, 2, 10, 10, 10));
+      b->Connect("Clicked()", "DelphesEventDisplay", this, "Fwd()");
+    }
+    vf->AddFrame(hf, new TGLayoutHints(kLHintsExpandX, 2, 2, 2, 2));
+
+    TGHProgressBar *progress = new TGHProgressBar(frmMain, TGProgressBar::kFancy, 100);
+    progress->SetMax(treeReader_->GetEntries());
+    progress->ShowPosition(kTRUE, kFALSE, "Event %.0f");
+    progress->SetBarColor("green");
+    vf->AddFrame(progress, new TGLayoutHints(kLHintsExpandX, 10, 10, 5, 5));
+    this->Connect("EventChanged(Int_t)", "TGHProgressBar", progress, "SetPosition(Float_t)");
+  }
+  frmMain->AddFrame(vf, new TGLayoutHints(kLHintsExpandX, 5, 5, 5, 5));
+  vf = new TGGroupFrame(frmMain, "Batch operations", kVerticalFrame | kFitWidth);
+  {
+    TGTextButton *b = new TGTextButton(vf, "Initialize Summary Plots");
+    vf->AddFrame(b, new TGLayoutHints(kLHintsCenterX | kLHintsCenterY | kLHintsExpandX, 10, 10, 10, 10));
+    b->Connect("Clicked()", "DelphesEventDisplay", this, "InitSummaryPlots()");
+  }
+  frmMain->AddFrame(vf, new TGLayoutHints(kLHintsExpandX, 5, 5, 5, 5));
+
+  frmMain->MapSubwindows();
+  frmMain->Resize();
+  frmMain->MapWindow();
+  browser->StopEmbedding();
+  browser->SetTabTitle("Event Control", 0);
+
+  // the summary tab
+  htmlSummary_ = new DelphesHtmlSummary("Delphes Event Display Summary Table");
+  TEveWindowSlot *slot = TEveWindow::CreateWindowInTab(gEve->GetBrowser()->GetTabRight());
+  gHtml_ = new TGHtml(0, 100, 100);
+  TEveWindowFrame *wf = slot->MakeFrame(gHtml_);
+  gHtml_->MapSubwindows();
+  wf->SetElementName("Summary tables");
+
+  // plot tab
+  slot = TEveWindow::CreateWindowInTab(gEve->GetBrowser()->GetTabRight());
+  TEveWindowTab *tab = slot->MakeTab();
+  tab->SetElementName("Summary plots");
+  tab->SetShowTitleBar(kFALSE);
+  plotSummary_ = new DelphesPlotSummary(tab);
+  plotSummary_->Init(elements_);
+  plotSummary_->Connect("Progress(Int_t)", "DelphesEventDisplay", this, "DisplayProgress(Int_t)");
+}
+
+void DelphesEventDisplay::Fwd()
+{
+  if(event_id_ < treeReader_->GetEntries() - 2)
+  {
+    EventChanged(event_id_ + 1);
+  }
+  else
+  {
+    printf("Already at last event.\n");
+  }
+}
+
+void DelphesEventDisplay::Bck()
+{
+  if(event_id_ > 0)
+  {
+    EventChanged(event_id_ - 1);
+  }
+  else
+  {
+    printf("Already at first event.\n");
+  }
+}
+
+void DelphesEventDisplay::PreSetEv(char *ev)
+{
   event_id_tmp_ = Int_t(atoi(ev));
 }
 
-void DelphesEventDisplay::GoTo() {
-  if (event_id_tmp_>=0 && event_id_tmp_ < treeReader_->GetEntries()-1) {
+void DelphesEventDisplay::GoTo()
+{
+  if(event_id_tmp_ >= 0 && event_id_tmp_ < treeReader_->GetEntries() - 1)
+  {
     EventChanged(event_id_tmp_);
-  } else {
+  }
+  else
+  {
     printf("Error: no such event.\n");
   }
 }
 
-void DelphesEventDisplay::InitSummaryPlots() {
+void DelphesEventDisplay::InitSummaryPlots()
+{
   plotSummary_->FillSample(treeReader_, event_id_);
   plotSummary_->FillEvent();
@@ -480,6 +522,7 @@
 }
 
-void DelphesEventDisplay::DisplayProgress(Int_t p) { 
-  fStatusBar_->SetText(Form("Processing... %d %%",p), 1);
+void DelphesEventDisplay::DisplayProgress(Int_t p)
+{
+  fStatusBar_->SetText(Form("Processing... %d %%", p), 1);
   gSystem->ProcessEvents();
 }
Index: display/DelphesHtmlSummary.cc
===================================================================
--- display/DelphesHtmlSummary.cc	(revision 0ac1afd86220730c399ac9a205fa9ac568125c95)
+++ display/DelphesHtmlSummary.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -18,28 +18,28 @@
 
 #include "display/DelphesHtmlSummary.h"
-#include "TGHtml.h"
 #include "TEveElement.h"
+#include "TEveEventManager.h"
 #include "TEveManager.h"
-#include "TEveEventManager.h"
 #include "TEvePointSet.h"
 #include "TEveTrack.h"
+#include "TGHtml.h"
 
 //==============================================================================
 
 DelphesHtmlSummary *fgDelphesHtmlSummary = 0;
-TGHtml      *fgHtml        = 0;
+TGHtml *fgHtml = 0;
 
 //==============================================================================
 
 //______________________________________________________________________________
-DelphesHtmlObjTable::DelphesHtmlObjTable(const char *name, Int_t nfields, Int_t nvals, Bool_t exp) : 
-   fName(name), fNValues(nvals), fNFields(nfields), fExpand(exp)
-{
-   // Constructor.
-
-   fValues = new TArrayF[fNFields];
-   for (int i=0;i<fNFields;i++)
-      fValues[i].Set(nvals);
-   fLabels = new TString[fNFields];
+DelphesHtmlObjTable::DelphesHtmlObjTable(const char *name, Int_t nfields, Int_t nvals, Bool_t exp) :
+  fName(name), fNValues(nvals), fNFields(nfields), fExpand(exp)
+{
+  // Constructor.
+
+  fValues = new TArrayF[fNFields];
+  for(int i = 0; i < fNFields; i++)
+    fValues[i].Set(nvals);
+  fLabels = new TString[fNFields];
 }
 
@@ -47,8 +47,8 @@
 DelphesHtmlObjTable::~DelphesHtmlObjTable()
 {
-   // Destructor.
-
-   delete [] fValues;
-   delete [] fLabels;
+  // Destructor.
+
+  delete[] fValues;
+  delete[] fLabels;
 }
 
@@ -56,15 +56,16 @@
 void DelphesHtmlObjTable::Build()
 {
-   // Build HTML code.
-
-   fHtml = "<table width=100% border=1 cellspacing=0 cellpadding=0 bgcolor=f0f0f0> ",
-
-   BuildTitle();
-   if (fExpand && (fNFields > 0) && (fNValues > 0)) {
-      BuildLabels();
-      BuildTable();
-   }
-
-   fHtml += "</table>";
+  // Build HTML code.
+
+  fHtml = "<table width=100% border=1 cellspacing=0 cellpadding=0 bgcolor=f0f0f0> ",
+
+  BuildTitle();
+  if(fExpand && (fNFields > 0) && (fNValues > 0))
+  {
+    BuildLabels();
+    BuildTable();
+  }
+
+  fHtml += "</table>";
 }
 
@@ -72,20 +73,20 @@
 void DelphesHtmlObjTable::BuildTitle()
 {
-   // Build table title.
-   
-   fHtml += "<tr><td colspan=";
-   fHtml += Form("%d>", fNFields+1);
-   fHtml += "<table width=100% border=0 cellspacing=2 cellpadding=0 bgcolor=6e6ea0>";
-   fHtml += "<tr><td align=left>";
-   fHtml += "<font face=Verdana size=3 color=ffffff><b><i>";
-   fHtml += fName;
-   fHtml += "</i></b></font></td>";
-   fHtml += "<td>";
-   fHtml += "<td align=right> ";
-   fHtml += "<font face=Verdana size=3 color=ffffff><b><i>";
-   fHtml += Form("Size = %d", fNValues);
-   fHtml += "</i></b></font></td></tr>";
-   fHtml += "</table>";
-   fHtml += "</td></tr>";
+  // Build table title.
+
+  fHtml += "<tr><td colspan=";
+  fHtml += Form("%d>", fNFields + 1);
+  fHtml += "<table width=100% border=0 cellspacing=2 cellpadding=0 bgcolor=6e6ea0>";
+  fHtml += "<tr><td align=left>";
+  fHtml += "<font face=Verdana size=3 color=ffffff><b><i>";
+  fHtml += fName;
+  fHtml += "</i></b></font></td>";
+  fHtml += "<td>";
+  fHtml += "<td align=right> ";
+  fHtml += "<font face=Verdana size=3 color=ffffff><b><i>";
+  fHtml += Form("Size = %d", fNValues);
+  fHtml += "</i></b></font></td></tr>";
+  fHtml += "</table>";
+  fHtml += "</td></tr>";
 }
 
@@ -93,15 +94,16 @@
 void DelphesHtmlObjTable::BuildLabels()
 {
-   // Build table labels.
-
-   Int_t i;
-   fHtml += "<tr bgcolor=c0c0ff>";
-   fHtml += "<th> </th>"; // for the check boxes
-   for (i=0;i<fNFields;i++) {
-      fHtml += "<th> ";
-      fHtml += fLabels[i];
-      fHtml += " </th>"; // for the check boxes
-   }
-   fHtml += "</tr>";
+  // Build table labels.
+
+  Int_t i;
+  fHtml += "<tr bgcolor=c0c0ff>";
+  fHtml += "<th> </th>"; // for the check boxes
+  for(i = 0; i < fNFields; i++)
+  {
+    fHtml += "<th> ";
+    fHtml += fLabels[i];
+    fHtml += " </th>"; // for the check boxes
+  }
+  fHtml += "</tr>";
 }
 
@@ -109,39 +111,42 @@
 void DelphesHtmlObjTable::BuildTable()
 {
-   // Build part of table with values.
-
-   for (int i = 0; i < fNValues; i++) {
-      if (i%2)
-         fHtml += "<tr bgcolor=e0e0ff>";
-      else
-         fHtml += "<tr bgcolor=ffffff>";
-      
-      TString name = fName;
-      name.ReplaceAll(" ", "_");
-      // checkboxes
-      fHtml += "<td bgcolor=d0d0ff align=\"center\">";
-      fHtml += "<input type=\"checkbox\" name=\"";
-      fHtml += name;
-      fHtml += Form("[%d]\">",i);
+  // Build part of table with values.
+
+  for(int i = 0; i < fNValues; i++)
+  {
+    if(i % 2)
+      fHtml += "<tr bgcolor=e0e0ff>";
+    else
+      fHtml += "<tr bgcolor=ffffff>";
+
+    TString name = fName;
+    name.ReplaceAll(" ", "_");
+    // checkboxes
+    fHtml += "<td bgcolor=d0d0ff align=\"center\">";
+    fHtml += "<input type=\"checkbox\" name=\"";
+    fHtml += name;
+    fHtml += Form("[%d]\">", i);
+    fHtml += "</td>";
+
+    for(int j = 0; j < fNFields; j++)
+    {
+      fHtml += "<td width=";
+      fHtml += Form("%d%%", 100 / fNFields);
+      fHtml += " align=\"center\"";
+      fHtml += ">";
+      fHtml += Form("%1.4f", fValues[j][i]);
       fHtml += "</td>";
-
-      for (int j = 0; j < fNFields; j++) {
-         fHtml += "<td width=";
-         fHtml += Form("%d%%", 100/fNFields);
-         fHtml += " align=\"center\"";
-         fHtml += ">";
-         fHtml += Form("%1.4f", fValues[j][i]);
-         fHtml += "</td>";
-      }
-      fHtml += "</tr> ";
-   }
-}
-
-//______________________________________________________________________________
-DelphesHtmlSummary::DelphesHtmlSummary(const char *title) : fNTables(0), fTitle(title)
-{
-   // Constructor.
-
-   fObjTables = new TOrdCollection();
+    }
+    fHtml += "</tr> ";
+  }
+}
+
+//______________________________________________________________________________
+DelphesHtmlSummary::DelphesHtmlSummary(const char *title) :
+  fNTables(0), fTitle(title)
+{
+  // Constructor.
+
+  fObjTables = new TOrdCollection();
 }
 
@@ -149,24 +154,24 @@
 DelphesHtmlSummary::~DelphesHtmlSummary()
 {
-   // Destructor.
-
-   Reset();
+  // Destructor.
+
+  Reset();
 }
 
 //______________________________________________________________________________
 DelphesHtmlObjTable *DelphesHtmlSummary::AddTable(const char *name, Int_t nfields, Int_t nvals,
-                                    Bool_t exp, Option_t *option)
-{
-   // Add a new table in our list of tables.
-
-   TString opt = option;
-   opt.ToLower();
-   DelphesHtmlObjTable *table = new DelphesHtmlObjTable(name, nfields, nvals, exp);
-   fNTables++;
-   if (opt.Contains("first"))
-      fObjTables->AddFirst(table);
-   else
-      fObjTables->Add(table);
-   return table;
+  Bool_t exp, Option_t *option)
+{
+  // Add a new table in our list of tables.
+
+  TString opt = option;
+  opt.ToLower();
+  DelphesHtmlObjTable *table = new DelphesHtmlObjTable(name, nfields, nvals, exp);
+  fNTables++;
+  if(opt.Contains("first"))
+    fObjTables->AddFirst(table);
+  else
+    fObjTables->Add(table);
+  return table;
 }
 
@@ -174,11 +179,11 @@
 void DelphesHtmlSummary::Clear(Option_t *option)
 {
-   // Clear the table list.
-
-   if (option && option[0] == 'D')
-      fObjTables->Delete(option);
-   else
-      fObjTables->Clear(option);
-   fNTables = 0;
+  // Clear the table list.
+
+  if(option && option[0] == 'D')
+    fObjTables->Delete(option);
+  else
+    fObjTables->Clear(option);
+  fNTables = 0;
 }
 
@@ -186,8 +191,9 @@
 void DelphesHtmlSummary::Reset(Option_t *)
 {
-   // Reset (delete) the table list;
-
-   delete fObjTables; fObjTables = 0;
-   fNTables = 0;
+  // Reset (delete) the table list;
+
+  delete fObjTables;
+  fObjTables = 0;
+  fNTables = 0;
 }
 
@@ -195,12 +201,13 @@
 void DelphesHtmlSummary::Build()
 {
-   // Build the summary.
-
-   MakeHeader();
-   for (int i=0;i<fNTables;i++) {
-      GetTable(i)->Build();
-      fHtml += GetTable(i)->Html();
-   }
-   MakeFooter();
+  // Build the summary.
+
+  MakeHeader();
+  for(int i = 0; i < fNTables; i++)
+  {
+    GetTable(i)->Build();
+    fHtml += GetTable(i)->Html();
+  }
+  MakeFooter();
 }
 
@@ -208,13 +215,13 @@
 void DelphesHtmlSummary::MakeHeader()
 {
-   // Make HTML header.
-
-   fHeader  = "<html><head><title>";
-   fHeader += fTitle;
-   fHeader += "</title></head><body>";
-   fHeader += "<center><h2><font color=#2222ee><i>";
-   fHeader += fTitle;
-   fHeader += "</i></font></h2></center>";
-   fHtml    = fHeader;
+  // Make HTML header.
+
+  fHeader = "<html><head><title>";
+  fHeader += fTitle;
+  fHeader += "</title></head><body>";
+  fHeader += "<center><h2><font color=#2222ee><i>";
+  fHeader += fTitle;
+  fHeader += "</i></font></h2></center>";
+  fHtml = fHeader;
 }
 
@@ -222,12 +229,11 @@
 void DelphesHtmlSummary::MakeFooter()
 {
-   // Make HTML footer.
-
-   fFooter  = "<br><p><br><center><strong><font size=2 color=#2222ee>";
-   fFooter += "Example of using Html widget to display tabular data";
-   fFooter += "<br>";
-   fFooter += "(c) 2007-2010 Bertrand Bellenot";
-   fFooter += "</font></strong></center></body></html>";  
-   fHtml   += fFooter;
-}
-
+  // Make HTML footer.
+
+  fFooter = "<br><p><br><center><strong><font size=2 color=#2222ee>";
+  fFooter += "Example of using Html widget to display tabular data";
+  fFooter += "<br>";
+  fFooter += "(c) 2007-2010 Bertrand Bellenot";
+  fFooter += "</font></strong></center></body></html>";
+  fHtml += fFooter;
+}
